# Record TCefTask

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTask = record`

## Description

Implement this structure for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

NOTE: This struct is allocated client-side.

Implemented by ICefTask.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `execute: procedure(self: PCefTask); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `execute: procedure(self: PCefTask); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.